<div class="clearfix" style="margin-bottom: 20px">
    <div class="pull-right btn-group">
        <a routerLink="/servers/create" class="btn btn-primary">Add Server</a>
    </div>
</div>
<app-box [noPadding]="true" [loading]="servers.loading | async">
  <table class="table table-striped">
    <thead>
    <tr>
      <th>Name</th>
      <th>Ip Address</th>
      <th>Status</th>
      <th></th>
    </tr>
    </thead>
    <tbody *ngIf="(servers.servers | async).length else empty">
      <tr *ngFor="let server of servers.servers | async">
        <td><a routerLink="/servers/{{server.id}}">{{server.name}}</a></td>
        <td>{{server.ip_address}}</td>
        <td>{{server.status}}</td>
        <td>
          <div class="btn-group pull-right">
            <a class="btn btn-default btn-small" routerLink="/servers/{{server.id}}/edit">Edit</a>
            <button type="button" class="btn btn-default dropdown-toggle" data-toggle="dropdown" aria-expanded="false">
              <span class="caret"></span>
              <span class="sr-only">Toggle Dropdown</span>
            </button>
            <ul class="dropdown-menu" role="menu">
              <li><a href="/servers{{server.id}}/delete" (click)="deleteServer($event, server)">Delete server</a></li>
            </ul>
          </div>
        </td>
      </tr>
    </tbody>
    <ng-template #empty>
      <tbody>
        <tr>
          <td colspan="4">No Servers configured. <a routerLink="/servers/create">Add new</a></td>
        </tr>
      </tbody>
    </ng-template>
  </table>
</app-box>
